/suppliers
This endpoint allows you to obtain all Suppliers.
getSuppliers
| Name | Type | Description |
|---|---|---|
expanded
|
string |
Allows you to expand the available Supplier relations. You can expand multiple relations at once when concatenating with ',' (e.g. expanded=contacts,files) contacts
files
handshake
categories
services
invite
|
data
array<object>
id
string
required
read-only
ID of the Supplier
Example: 123
type
string
required
read-only
Model type
supplier
Example: supplier
attributes
object
required
supplier_id
integer
ID of the Supplier
Example: 123
name
string
Name of the Supplier
Example: John Doe
code
string | null
Code of the Supplier
Example: abc123
vat
string | null
NIF/ VAT Number of the Supplier
Example: 123456789
address
string | null
Address of the Supplier
Example: 5221 Brook Rd
postal_code
string | null
Postal Code of the Supplier
Example: 4321-123
city
string | null
City of the Supplier
Example: Richmond
area
string | null
The district, region or state where the Supplier is from
Example: Madrid
country
string | null
Country of the Supplier
Example: ES
iban
string | null
IBAN of the Supplier
Example: 1234 4321 5678 8765 9999 1
market_supplier_id
string (uuid) | null
The UUID of the Supplier ID in the Infraspeak Market
Example: dd1c6f55-295d-4010-993a-81e2c7240878
supplier_uuid
string (uuid)
UUID of the Supplier
Example: dd1c6f55-295d-4010-993a-81e2c7240878
date_created
string (date-time)
Creation date of Supplier
Example: 2022-12-12 12:12:30
has_handshake
boolean
Indicates if the Supplier is "connected" to work on Infraspeak Network
Example: 1
profile_steps_count
integer
The count of profile steps that the Supplier had done in the Infraspeak Network
Example: 3
relationships
object
The relationships of the Supplier (Only present when expanded in the request)
contacts
object
The Contacts associated with the Supplier
files
object
The Files associated with the Supplier
handshake
object
The Infraspeak Network Handshake associated with the Supplier
categories
object
The Infraspeak Market Categories associated with the Supplier
services
object
The Infraspeak Market Services associated with the Supplier
invite
object
The Infraspeak Network Invite associated with the Supplier
meta
object
Meta model structure details
pagination
object
total
integer
required
Total items.
Example: 1
count
integer
required
Total items returned for the current page.
Example: 1
per_page
integer
required
Maximum number of records per page.
Example: 1
current_page
integer
required
Number of the current page.
total_pages
integer
required
Number of the total pages.
links
object
Requests that return multiple items include a `links` attribute, with links related to request's context.
self
string
required
read-only
Current response link.
Example: /path?page=1
first
string
required
read-only
Link to the first page result.
Example: /path?page=1
last
string
required
read-only
Link to the previous page result.
Example: /path?page=1
next
string
read-only
Link to the next page result.
Example: /path?page=1
status
string
error
error
object
http_code
integer
401
message
string
Example: Authentication token invalid.
more_info
string
status
string
error
error
object
http_code
integer
429
message
string
Example: Too Many Requests.
more_info
string
status
string
error
error
object
http_code
integer
500
message
string
Example: An error has occurred during the request.
more_info
string
curl -X GET \
'https://api.sandbox.infraspeak.com/v3/suppliers' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.sandbox.infraspeak.com/v3/suppliers', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
const data = await response.json();
$response = Http::withHeaders([
'Accept' => 'application/json',
'Content-Type' => 'application/json',
])->withToken('YOUR_API_TOKEN')
->get('https://api.sandbox.infraspeak.com/v3/suppliers');
import requests
response = requests.get(
'https://api.sandbox.infraspeak.com/v3/suppliers',
headers={
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
)
data = response.json()